Skip to content
POST/{organizationId}/{mandateId}/finance/cash/transactions/{cashTransactionId}

Get cash transaction

Returns all information for a specific cash transaction for a given mandate

Required permissions:

  • mandate.read

  • cashTransaction.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
cashTransactionIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/transactions/{cashTransactionId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/transactions/{cashTransactionId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

statusstringrequired

Options:

unassignedpartialassignedignoreddisputed
statestringrequired

Default: "confirmed"

Options:

confirmedpendingfailed

ObjectId as string

datestringrequired
amountintegerrequired

minimum: -9007199254740991

maximum: 9999999999

purposestringrequired

maxLength: 1000

infostringrequired

maxLength: 200

counterpartNamestringrequired

maxLength: 200

counterpartAccountstringrequired
proposingbooleanrequired

Additional properties are not allowed.

Additional properties are not allowed.

isPotentialDuplicatebooleanrequired
cashAccountNumbernumberrequired

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "status": "unassigned",
  "state": "confirmed",
  "cashAccount": "000000000000000000000001",
  "date": "string",
  "amount": -9007199254740991,
  "purpose": "string",
  "info": "string",
  "counterpartName": "string",
  "counterpartAccount": "string",
  "assignments": [
    {
      "type": "receipt",
      "amount": 1
    }
  ],
  "proposing": true,
  "isPotentialDuplicate": true,
  "cashAccountNumber": 1
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}